China factories

Commercial Decorative Designer Paper Origami Table Lamp Adjustable Sensitive Control

Price: 6.6 Get Latest Price
  • Brand Name: No Brand
  • Model Number: S-002
  • Minimum Order Quantity: 500
  • Delivery Time: 15 work days
  • view more

Touch Control Led Table Lamp With 6500-8000K Color Temperature 5W Power 10 Bulbs Small Table Lamps

Price: 3.88 Get Latest Price
  • Brand Name: DY
  • Model Number: 006F
  • Minimum Order Quantity: 1 carton
  • Delivery Time: 5days
  • view more

Remote Control Portable Table Lamp Dimmable Colorful LED Desk Lamp for Kids Room

Price: $10.50-15.90 Get Latest Price
  • Brand Name: Valed
  • Model Number: E9
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Hotel Home Modern Dimmable Touching Control Bedside Table Lamp Dual USB Charging

Price: Negotiation Get Latest Price
  • Brand Name: HEKEYLT
  • Model Number: HEKEYLT-919004
  • Minimum Order Quantity: 1 PC
  • Delivery Time: 15 days after received the advance payment
  • view more

Cute Umbrella Design Touch Control LED Table Lamp With Adjustable High/Low Brightness Rechargeable Led Desk Light For Camping Home Use

Price: 3 Get Latest Price
  • Brand Name: JMKMGL
  • Model Number: JMK-D17
  • Minimum Order Quantity: 2
  • Delivery Time: Depends on QTY
  • view more

35mm Music Ambient Night Light 5050 Voice Control Rhythm Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: QiFan
  • Model Number: AL-09
  • Minimum Order Quantity: 300pcs
  • Delivery Time: 15days
  • view more

Atmosphere Creative Line Small Night Lamp USB charging desk Crystal Lights 3 Color Touch Control Crystal table Lamp for bedroom

Price: $3.88/sets 10-99 sets Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Atmosphere Creative Line Small Night Lamp
  • Minimum Order Quantity: 10 sets
  • Delivery Time: Negotiable
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Yihao Modern Classic Brass Base Table Lamp with Custom Packing and E26 Bulb Base for Living Room and Bedroom

Price: CN¥1,100.35-1,375.46 Get Latest Price
  • Brand Name: YH
  • Model Number: YH-12811746
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Convenient Touch Control LED Reading Lamp with Flexible Gooseneck and USB Port

Price: $8.00/pieces 2-99 pieces Get Latest Price
  • Brand Name: Sunshining
  • Model Number: SL-LED104
  • Minimum Order Quantity: 2 pieces
  • Delivery Time: Negotiable
  • view more

Adjustable Brightness Reading Table Lamp Eye Caring LED Desk Light

Price: Negotiable Get Latest Price
  • Brand Name: Guandi
  • Model Number: GD-628
  • Minimum Order Quantity: 1000 pcs
  • Delivery Time: 10-15 work days
  • view more

Panda Silicone Night Light Touch-sensitive USB Rechargeable 7 Colors Kid's Bedroom LED Table Lamp

Price: 4.22 US Get Latest Price
  • Brand Name: MYID
  • Model Number: MYID-001
  • Minimum Order Quantity: 1000
  • Delivery Time: 10day-35day
  • view more

Glomarket Tuya Smart Lantern Table Lamp Glass Music Table Light Wifi App Control

Price: US $13.5-14.5/PCS Get Latest Price
  • Brand Name: Glomarket
  • Model Number: LT0341
  • Minimum Order Quantity: 2 PCS
  • Delivery Time: 7-15 work days
  • view more

IEC 60598-1 Table Lamp Adjustment Testing Equipment Touch Screen

Price: Customized Get Latest Price
  • Brand Name: Sinuo
  • Model Number: SN996
  • Minimum Order Quantity: 1
  • Delivery Time: 30 Days
  • view more

USB Desktop Meeting Full Karaoke Esports Microphone 2 Table Lamp Adjustment

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 50pcs
  • Delivery Time: 48 hours
  • view more

Wooden LED Cube Table Lamp USB Dimmable Rechargeable Desk Lamp Creative Geometric Night Lights for Bedroom Decor Accent Lighting

Price: 11.7usd/piece Get Latest Price
  • Brand Name: OEM
  • Model Number: CR-LNL-05
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: 7-10work days
  • view more

Metal Oxide Varistor 10D681 P7.5MM Applied to table lamps and humidifiers

Price: Negotiable Get Latest Price
  • Brand Name: VDR
  • Model Number: 10D681 P7.5MM
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

1.8m EU Plug ON OFF LED Dimmer Controller Adapter AC Power Extension Cord Cable for Table Lamp

Price: CN¥6.33/pieces 50-999 pieces Get Latest Price
  • Brand Name: EU plug power cable led dimmer
  • Model Number: EU plug power cable led dimmer
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: Negotiable
  • view more

1.8m EU Plug ON OFF LED Dimmer Controller Adapter AC Power Extension Cord Cable for Table Lamp

Price: CN¥6.33/pieces 50-999 pieces Get Latest Price
  • Brand Name: EU plug power cable led dimmer
  • Model Number: EU plug power cable led dimmer
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: Negotiable
  • view more